/**
 * Kismet sequence to toggle spline actor bridges that can be
 * configured in AdvKitSplineActor under the Bridge category
 * 
 * 2013 by FreetimeCoder
 * www.freetimestudio.net
 */
class AdvKitSeqAct_ToggleBridge extends SequenceAction;

/**
 * Called when this sequence is activated
 */
event Activated()
{
	local bool      bBridgeActive;
	local Object    tmpObject;
	local AdvKitSplineActor tmpSplineActor;

	//make sure to set the correct state
	bBridgeActive = InputLinks[0].bHasImpulse && !InputLinks[1].bHasImpulse;

	//iterate through all the targets
	foreach Targets(tmpObject)
	{
		//only work with Spline Actors
		tmpSplineActor = AdvKitSplineActor(tmpObject);
		if(tmpSplineActor!=none)
		{
			//toggle bridge functionality
			tmpSplineActor.bBridgeActive = bBridgeActive;
		}
	}

	//finished
	ActivateOutputLink(0);
}

DefaultProperties
{
	ObjName="Toggle Bridge Spline"
	ObjCategory="AdvKit"

	InputLinks.Empty();
	InputLinks(0)=(LinkDesc="Activate")
	InputLinks(1)=(LinkDesc="Deactivate")

	//AdvKitSplineActor has no handler to call
	bCallHandler = false
}
